List API keys
GET
https://novapai.ai/api/v1/keys
GET
/api/v1/keys
cURL
$curl https://novapai.ai/api/v1/keys \
>-H "Authorization: Bearer <token>"200 Retrieved
reference-api-keys-list-01.json
{
"data": [
{
"hash": "f01d52606dc8f0a8303a7b5cc3fa07109c2e346cec7c0a16b40de462992ce943",
"name": "My Production Key",
"label": "Production API Key",
"disabled": false,
"limit": 100,
"limit_remaining": 74.5,
"limit_reset": "monthly",
"include_byok_in_limit": false,
"usage": 25.5,
"usage_daily": 25.5,
"usage_weekly": 25.5,
"usage_monthly": 25.5,
"byok_usage": 17.38,
"byok_usage_daily": 17.38,
"byok_usage_weekly": 17.38,
"byok_usage_monthly": 17.38,
"created_at": "2025-08-24T10:30:00Z",
"updated_at": "2025-08-24T15:45:00Z",
"expires_at": "2027-12-31T23:59:59Z"
}
]
}List all API keys for the authenticated user. Management key required.
Authentication
Authorization Bearer
API key as bearer token in Authorization header
Query parameters
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
| include_disabled | string | 否 | Whether to include disabled API keys in the response |
| offset | string | 否 | Number of API keys to skip for pagination |
Response
List of API keys
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
| data | list of objects | - | List of API keys |
Errors
| 状态码 | 说明 |
|---|---|
| 401 | Unauthorized Error |
| 429 | Too Many Requests Error |
| 500 | Internal Server Error |